###############################################################################
#                          Generated on phpdocker.io                          #
###############################################################################
version: '3.1'
services:
    webserver:
        image: 'nginx:alpine'
        working_dir: /src
        volumes:
            - '.:/src'
            - './phpdocker/nginx/nginx.conf:/etc/nginx/conf.d/default.conf'
        ports:
            - '80:80'

    php-fpm:
        build: phpdocker/php-fpm
        working_dir: /src
        volumes:
            - '.:/src'
            - './phpdocker/php-fpm/php-ini-overrides.ini:/etc/php/8.1/fpm/conf.d/99-overrides.ini'

    mysql:
        image: mysql:8.0
        ports:
            - "3306:3306"
        environment:
            MYSQL_ROOT_PASSWORD: 35333145
            MYSQL_DATABASE: ead
        volumes:
            - ./db/ :/docker-entrypoint-initdb.d/

    phpmyadmin:
        image: phpmyadmin
        restart: always
        ports:
            - "8080:80"
        environment:
            - PMA_ARBITRARY=1